POST /data/projects/{project_id}/budgets/{budget_id}/entries

Create a budget entry for given production and budget.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • budget_id string(uuid) Required

    Budget unique identifier

application/json

Body Required

  • department_id string(uuid) Required

    Department unique identifier

  • person_id string(uuid)

    Person unique identifier

  • start_date string(date)

    Budget entry start date

  • months_duration integer

    Budget entry duration in months

  • daily_salary number(float)

    Daily salary amount

  • position string

    Position name

  • seniority string

    Seniority level

Responses

  • 201 application/json

    Budget entry created

    Hide response attributes Show response attributes object
    • id string(uuid)

      Budget entry unique identifier

    • department_id string(uuid)

      Department unique identifier

  • 400

    Invalid parameters

POST /data/projects/{project_id}/budgets/{budget_id}/entries
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/budgets/b35b7fb5-df86-5776-b181-68564193d36/entries" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "department_id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "start_date": "2025-01-01",
  "months_duration": 12,
  "daily_salary": 100,
  "position": "Artist",
  "seniority": "Mid"
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/budgets/b35b7fb5-df86-5776-b181-68564193d36/entries"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "department_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "start_date": "2025-01-01",
    "months_duration": 12,
    "daily_salary": 100,
    "position": "Artist",
    "seniority": "Mid"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/budgets/b35b7fb5-df86-5776-b181-68564193d36/entries' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"department_id":"c46c8gc6-eg97-6887-c292-79675204e47","person_id":"a24a6ea4-ce75-4665-a070-57453082c25","start_date":"2025-01-01","months_duration":12,"daily_salary":100.0,"position":"Artist","seniority":"Mid"}'
Request examples
{
  "department_id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "start_date": "2025-01-01",
  "months_duration": 12,
  "daily_salary": 100.0,
  "position": "Artist",
  "seniority": "Mid"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "department_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}